From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/cherrypy/
Date: Mon, 18 Jul 2022 07:54:52 +0000 (UTC) [thread overview]
Message-ID: <1658130887.d524cac7c80322f68cbd2a434d367ddd53de29f8.mgorny@gentoo> (raw)
commit: d524cac7c80322f68cbd2a434d367ddd53de29f8
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 18 06:56:34 2022 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Jul 18 07:54:47 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d524cac7
dev-python/cherrypy: Bump to 18.8.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/cherrypy/Manifest | 1 +
dev-python/cherrypy/cherrypy-18.8.0.ebuild | 69 ++++++++++++++++++++++++++++++
2 files changed, 70 insertions(+)
diff --git a/dev-python/cherrypy/Manifest b/dev-python/cherrypy/Manifest
index 8c0d50144fb1..e96a34aa2b17 100644
--- a/dev-python/cherrypy/Manifest
+++ b/dev-python/cherrypy/Manifest
@@ -1,2 +1,3 @@
DIST CherryPy-18.6.1.tar.gz 692730 BLAKE2B 44cef7ed54a090df396691001b794bf13be2c61003bf80b63223e3a42914ce50fcfe43c06626fb881105e3ed6fbf587df7024bbf7cfde00a8263c432f4cc7ae4 SHA512 186a0992a443e1ffc1a2924b3351dcb0e6cc6c88b39ac32330d6365fe1b0a35c2008a3a18e1a57f61ffd1901ea6134333bb6288024d8ffbb1fd8e8dcd3145007
DIST CherryPy-18.7.0.tar.gz 621794 BLAKE2B d60cd21d0b0bacbb18bcaeb525be143c3639f462978e9835e5c77ba8ce732a3af4662e4c37e2d20e1ad19760900775dee4a3cd98db53e70a19611d30c8329bce SHA512 321771a3e3cda16090bfb7a79c297defd67655ba5453e440e09e85fec41cba850544bebac7203206c95e38d79b3bce22368ea19c0fb1fbedbb00d76a4ab59c8b
+DIST CherryPy-18.8.0.tar.gz 622679 BLAKE2B 673f9a103a901161ee801656fa37fa0a4fcd2d9276a5231e48c1663264eb7f922d5d862018995a345a8485252416fa0229da49b8d265288efce2dccd37d79ff8 SHA512 abacc995c1757b8d0171d57eb59b6e5931c46019d8f0f43479e334bb4f58b61a27541d9d0997d665f81905bc3c89e42d40d8e5a6e3a5f9bf251bc9089ceb5249
diff --git a/dev-python/cherrypy/cherrypy-18.8.0.ebuild b/dev-python/cherrypy/cherrypy-18.8.0.ebuild
new file mode 100644
index 000000000000..b1cedd9565ea
--- /dev/null
+++ b/dev-python/cherrypy/cherrypy-18.8.0.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} pypy3 )
+
+inherit distutils-r1
+
+MY_PN="CherryPy"
+MY_P=${MY_PN}-${PV}
+DESCRIPTION="CherryPy is a pythonic, object-oriented HTTP framework"
+HOMEPAGE="
+ https://cherrypy.dev/
+ https://github.com/cherrypy/cherrypy/
+ https://pypi.org/project/CherryPy/
+"
+SRC_URI="mirror://pypi/${MY_PN::1}/${MY_PN}/${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE="ssl test"
+
+RDEPEND="
+ >=dev-python/cheroot-8.2.1[${PYTHON_USEDEP}]
+ >=dev-python/portend-2.1.1[${PYTHON_USEDEP}]
+ dev-python/more-itertools[${PYTHON_USEDEP}]
+ dev-python/zc-lockfile[${PYTHON_USEDEP}]
+ dev-python/jaraco-collections[${PYTHON_USEDEP}]
+ ssl? (
+ dev-python/pyopenssl[${PYTHON_USEDEP}]
+ )
+"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/routes[${PYTHON_USEDEP}]
+ dev-python/simplejson[${PYTHON_USEDEP}]
+ dev-python/objgraph[${PYTHON_USEDEP}]
+ dev-python/path-py[${PYTHON_USEDEP}]
+ dev-python/requests-toolbelt[${PYTHON_USEDEP}]
+ dev-python/pytest-services[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ sed -i -e '/cov/d' pytest.ini || die
+ # upstream has been using xfail to mark flaky tests, then added
+ # xfail_strict... not a good idea
+ sed -i -e '/xfail_strict/d' pytest.ini || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local EPYTEST_DESELECT=()
+ [[ ${EPYTHON} == python3.11 ]] && EPYTEST_DESELECT+=(
+ # broken by changes in traceback output
+ cherrypy/test/test_request_obj.py::RequestObjectTests::testErrorHandling
+ cherrypy/test/test_tools.py::ToolTests::testHookErrors
+ )
+
+ epytest
+}
next reply other threads:[~2022-07-18 7:54 UTC|newest]
Thread overview: 73+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-07-18 7:54 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-25 12:09 [gentoo-commits] repo/gentoo:master commit in: dev-python/cherrypy/ Arthur Zamarin
2024-07-11 22:28 James Le Cuirot
2024-06-29 7:57 Arthur Zamarin
2024-06-15 13:47 Michał Górny
2024-06-15 4:22 Michał Górny
2023-12-30 14:25 Arthur Zamarin
2023-12-14 13:58 Michał Górny
2023-11-07 21:10 Michał Górny
2023-01-03 2:53 WANG Xuerui
2022-11-18 15:14 Arthur Zamarin
2022-10-22 14:54 Michał Górny
2022-09-16 10:15 Arthur Zamarin
2022-09-10 18:28 Arthur Zamarin
2022-09-08 5:19 Sam James
2022-07-18 12:52 Sam James
2022-07-11 7:59 Michał Górny
2022-07-11 7:59 Michał Górny
2022-07-11 7:06 Michał Górny
2022-06-23 8:17 Michał Górny
2022-06-23 5:58 Agostino Sarubbo
2022-05-31 7:16 Jakov Smolić
2022-05-22 10:46 Michał Górny
2021-11-28 14:42 Michał Górny
2021-11-02 12:37 Arthur Zamarin
2021-08-07 14:57 Michał Górny
2021-08-07 14:49 Sam James
2021-07-04 8:28 Michał Górny
2021-07-04 7:38 Michał Górny
2020-07-30 21:14 Michał Górny
2020-07-30 20:42 Sam James
2020-07-30 20:40 Sam James
2020-07-13 23:13 Sam James
2020-07-06 11:57 Michał Górny
2020-07-05 15:16 Michał Górny
2020-06-29 13:40 Agostino Sarubbo
2020-06-22 19:05 Mart Raudsepp
2020-06-22 4:33 Michał Górny
2020-06-21 19:23 Michał Górny
2020-06-21 19:23 Michał Górny
2020-06-20 14:20 Thomas Deutschmann
2020-06-04 14:06 Michał Górny
2020-05-30 20:33 Sergei Trofimovich
2020-05-30 16:20 Michał Górny
2020-05-29 17:10 Michał Górny
2020-05-16 11:25 Mikle Kolyada
2020-05-04 10:29 Michał Górny
2020-04-28 19:23 Mart Raudsepp
2020-03-31 7:38 Georgy Yakovlev
2020-03-30 22:06 Patrick McLean
2020-03-27 0:04 Patrick McLean
2020-03-26 23:14 Patrick McLean
2020-03-26 23:14 Patrick McLean
2020-01-27 9:39 Sergei Trofimovich
2020-01-26 17:11 Michał Górny
2019-12-12 2:19 Georgy Yakovlev
2019-04-17 18:07 Aaron Bauman
2019-03-11 2:33 William Hubbs
2019-03-11 2:33 William Hubbs
2019-03-11 2:33 William Hubbs
2019-03-11 2:33 William Hubbs
2019-03-06 22:10 William Hubbs
2019-01-10 1:52 William Hubbs
2018-11-09 14:20 Alexey Shvetsov
2018-04-29 7:35 Michał Górny
2018-03-07 19:47 Markus Meier
2018-01-24 23:12 Sergei Trofimovich
2018-01-11 3:28 Zac Medico
2018-01-10 1:20 Zac Medico
2017-04-18 14:18 Kacper Kowalik
2017-02-20 18:10 Markus Meier
2017-01-17 16:22 Agostino Sarubbo
2016-09-15 7:52 Alexis Ballier
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1658130887.d524cac7c80322f68cbd2a434d367ddd53de29f8.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox